Skip to main content
`Ctrl`+`K`

# PetscHipBLASIntCast

like `PetscBLASIntCast()`, but for `PetscHipBLASInt`.

## Synopsis

    static inline PetscErrorCode PetscHipBLASIntCast(MPIU_Count a, PetscHipBLASInt *b)

Not Collective; No Fortran Support

## Input Parameter

- a - the `PetscInt` value

## Output Parameter

- b - the resulting `PetscHipBLASInt` value, or `NULL` if the result is not needed

## Note

Errors if the integer is negative since PETSc calls to hipBLAS and friends never need to cast negative integer inputs

## See Also

`PetscHipBLASInt`, `PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscBLASIntCast()`, `PetscMPIIntCast()`, `PetscCIntCast()`, `PetscIntCast()`

## Level

advanced

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages